[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: ABS Client Library (fwd)



Rather than build against Michael's version of openafs, it might be handy if we could address this issue in UMCE Linux.

:wes

Date:  Tuesday, June 7, 2005 10:35 AM -0400
From: michael shiplett <walrus@xxxxxxxxxx>
To: Donald Boettner <dwb@xxxxxxxxx>, rsc@xxxxxxxxx
Subject: Re: ABS Client Library

I forgot one issue:  there is a known problem when using the
installed openafs afsrpc library on umce linux. the configure
script should catch this issue and exit, but that doesn't result
in a working library. the workarounds are

a) if on an afs client, use my install of openafs-1.3.82

b) build your own copy of openafs-1.[23].*.

note: the issue is particular to the build of openafs-1.2.11 installed
on umce linux. it does not seem be an issue with openafs-1.2.11 in
general.

an example of using approach (a) is
   ./configure \

--with-afs=/afs/umich.edu/user/w/a/walrus/i386_linux24/pkg/ openafs-1.3.82a \
--with-krb5=/usr/local/mit-krb5
...